#!/bin/sh

# important config files
echo copying files...
cp ~/.config/alacritty.toml ./alacritty/alacritty.toml
cp ~/.config/tmux/tmux.conf ./tmux
cp ~/.vimrc ./vim
cp ~/.vim/coc-settings.json ./vim
cp -r ~/.vim/after ./vim
cp ~/.xinitrc* ./x
cp ~/.Xresources ./x
cp ~/.Xmodmap ./x
cp ~/bin/spawn-alacritty ./x
cp ~/bin/quitconf ./x
cp ~/bin/battery ./x
cp ~/bin/startdwm ./x
cp ~/.config/xmobar/xmobar.hs ./xmobar
cp ~/.config/xmonad/xmonad.hs ./xmonad
cp ~/.config/VSCodium/User/settings.json ./vscode
cp ~/.profile ./sh
cp ~/.bash_profile ./sh/bash
cp ~/.bashrc ./sh/bash
cp ~/.config/dunst/dunstrc ./dunst
cp ~/.config/htop/htoprc ./htop
cp ~/.config/doom/* ./doom

# update submodules
echo pulling submodules...
git submodule update --remote --merge

